allaodplot.f <-
function (file = dailyaod, column, wave, ymax = 0.25) 
{
    par(tck = 0.02, family = "serif", yaxs = "i")
    file <- file[file[, 1] > 35550, ]
    plot(file[, 1], file[, column], ylim = c(0, ymax), pch = 20, 
        cex = 0.5, axes = F, xlab = "", ylab = "")
    axis(side = 1, at = c(35429, 35794, 36159, 36524, 36890, 
        37255, 37620, 37985, 38351, 38716, 39081, 39446, 39812, 
        40177, 40542, 40907), labels = 1997:2012, cex.axis = 1.2)
    axis(side = 2, cex.axis = 1.2)
    mtext("years", side = 1, cex = 1.7, line = 2.5)
    mtext(paste("aod @", wave, " nm"), side = 2, cex = 1.7, line = 2.5)
    lines(lowess(file[, 1], file[, column], 1/60), lwd = 2, col = 2)
    lines(lowess(file[, 1], file[, column], 1/3), lwd = 2, col = 3)
    axis(side = 4, cex.axis = 1.2)
    box()
    abline(h = seq(0, ymax, 0.01), col = 8)
    abline(v = c(35429, 35794, 36159, 36524, 36890, 37255, 37620, 
        37985, 38351, 38716, 39081, 39446, 39812, 40177, 40542, 
        40907), col = 8)
    foo <- file
    foo[, 1] <- foo[, 1] - 35550
    reg3 <- lsfit(cbind(foo[, 1], foo[, 1]^3), foo[, column])
    yy <- cbind(1, foo[, 1], foo[, 1]^3) %*% reg3$coef
    print(t(round(abs(reg3$coef/ls.diag(reg3)$std.err), 1)))
    print(ls.diag(reg3)$std.dev)
    lines(foo[, 1] + 35550, yy, col = 3, lty = 2, lwd = 2)
    reg3 <- lsfit(cbind(foo[, 1]^2, foo[, 1]^3), foo[, column])
    yy <- cbind(1, foo[, 1]^2, foo[, 1]^3) %*% reg3$coef
    lines(foo[, 1] + 35550, yy, col = 4, lty = 2, lwd = 2)
    print(t(round(abs(reg3$coef/ls.diag(reg3)$std.err), 1)))
    print(ls.diag(reg3)$std.dev)
    browser()
    return()
}

alphaplot.f <-
function (file = dailyaod) 
{
    alpha <- get_alpha.f(file)
   pdf(file = "alphaplot.pdf", w = 9, h = 6.5)
    par(tck = 0.02, family = "serif", mex = 0.5, yaxs = "i")
    par(mar = c(5, 5, 5, 3) + 0.7)
    plot(file[, 1], alpha, pch = 20, cex = 0.3, cex.lab = 1.3, ylim = c(0, 
        2.2), axes = F, xlab = "Year", ylab = "Angstrom Exponent")
    axis(side = 1, at = c(35429, 35794, 36159, 36524, 36890, 
        37255, 37620, 37985, 38351, 38716, 39081, 39446, 39812, 
        40177, 40542, 40907), labels = c("1997", "1998", 
        "1999", "2000", "2001", "2002", "2003", "2004", "2005", 
        "2006", "2007", "2008", "2009", "2010", "2011", "2012"), 
        cex = 1.3)
    axis(side = 2, cex = 1.3)
    box()
    lines(lowess(file[, 1], alpha, 1/30), lwd = 2, col = 2)
    abline(v = c(35430, 35795, 36160, 36525, 36891, 37256, 37621, 
        37986, 38352, 38717, 39082, 39447, 39813, 40178, 40543, 
        40908) - 1, lty = 2)
    axis(side = 4)
    lines(lowess(dailyaod[, 1], alpha, 1/5), lwd = 3, col = 4)
   dev.off()
    return()
}

angstromplot.f <-
function (file) 
{
    x11(type = "Xlib")
    temp <- NULL
    for (i in 1:length(file[, 1])) {
        x <- waveeff.f()[c(1,2,4,5)]
        y <- file[i, c(2,3,5,6)]
        if (file[i, 2] > 0 & file[i, 3] > 0 & 
            file[i, 5] > 0 & file[i, 6] > 0) {
            plot(x, y, log = "xy", type = "b", pch = 20)
            temp <- c(temp, round(-lsfit(log(x), log(y))$coef[2], 
                2))
            title(round(-lsfit(log(x), log(y))$coef[2], 2), sub = round(file[i, 
                1], 5))
        }
browser()
    }
    return(temp)
}

annual_avg.f <-
function (file = dailyaod) 
{
    pdf(file = "annual_avg.pdf", w = 10, h = 7.0)
    par(tck = 0.02, family = "serif", mex = 0.5, xaxs = "i", 
        yaxs = "i")
    par(mar = c(5, 5, 3, 3) + 0.7)
    file97 <- file[file[, 1] > 35429 & file[, 1] <= 35794, ]
    file98 <- file[file[, 1] > 35794 & file[, 1] <= 36159, ]
    file99 <- file[file[, 1] > 36159 & file[, 1] <= 36524, ]
    file00 <- file[file[, 1] > 36542 & file[, 1] <= 36890, ]
    file01 <- file[file[, 1] > 36890 & file[, 1] <= 37255, ]
    file02 <- file[file[, 1] > 37255 & file[, 1] <= 37620, ]
    file03 <- file[file[, 1] > 37620 & file[, 1] <= 37985, ]
    file04 <- file[file[, 1] > 37985 & file[, 1] <= 38351, ]
    file05 <- file[file[, 1] > 38351 & file[, 1] <= 38716, ]
    file06 <- file[file[, 1] > 38716 & file[, 1] <= 39081, ]
    file07 <- file[file[, 1] > 39081 & file[, 1] <= 39446, ]
    file08 <- file[file[, 1] > 39446 & file[, 1] <= 39812, ]
    file09 <- file[file[, 1] > 39812 & file[, 1] <= 40177, ]
    file10 <- file[file[, 1] > 40177 & file[, 1] <= 40542, ]
    file11 <- file[file[, 1] > 40542 & file[, 1] <= 40907, ]
    file12 <- file[file[, 1] > 40907 & file[, 1] <= 41273, ]
    foo97 <- apply(file97, 2, mean)
    foo98 <- apply(file98, 2, mean)
    foo99 <- apply(file99, 2, mean)
    foo00 <- apply(file00, 2, mean)
    foo01 <- apply(file01, 2, mean)
    foo02 <- apply(file02, 2, mean)
    foo03 <- apply(file03, 2, mean)
    foo04 <- apply(file04, 2, mean)
    foo05 <- apply(file05, 2, mean)
    foo06 <- apply(file06, 2, mean)
    foo07 <- apply(file07, 2, mean)
    foo08 <- apply(file08, 2, mean)
    foo09 <- apply(file09, 2, mean)
    foo10 <- apply(file10, 2, mean)
    foo11 <- apply(file11, 2, mean)
    foo12 <- apply(file12, 2, mean)
#   foobreaks <- seq(0, 0.85, 0.02)
#   hist(file[, 3], breaks = foobreaks, freq = T, xlab = "AOD (500 nm)", 
#       main = "")
#   box()
#   browser()
    boxplot(file97[, 3], file98[, 3], file99[, 3], file00[, 3], 
        file01[, 3], file02[, 3], file03[, 3], file04[, 3], file05[, 
            3], file06[, 3], file07[, 3], file08[, 3], file09[, 
            3], file10[, 3], file11[, 3], file12[, 3], ylim = c(0, 0.35), 
        xlab = "Year", ylab = "500-nm AOD", pch = 20, cex = 0.5, cex.lab = 1.3)
    y500 <- c(foo97[3], foo98[3], foo99[3], foo00[3], foo01[3], 
        foo02[3], foo03[3], foo04[3], foo05[3], foo06[3], foo07[3], 
        foo08[3], foo09[3], foo10[3], foo11[3], foo12[3])
    points(1:16, y500, pch = 20, col = 2)
#   lines(lowess(2:15, y500[2:15], 2/5), col = 3, lwd = 2)
    abline(lsfit(2:15, y500[2:15]), col = 2, lwd = 2, lty = 2)
    print(lsfit(2:15, y500[2:15])$coef)
    print(ls.diag(lsfit(2:15, y500[2:15]))$std.err)
    axis(side = 4)
    abline(h = seq(0.1, 0.2, 0.02), lty = 2)
    axis(side = 1, at = 1:16, labels = c("97", "98", "99", "00", 
        "01", "02", "03", "04", "05", "06", "07", "08", "09", 
        "10", "11", "12"), cex.lab = 1.3)
    dev.off()
    return()
}

annualalphaplot.f <-
function () 
{
#   pdf(file = "annualalpha.pdf", w = 10, h = 7)
    par(tck = 0.02, family = "serif", mex = 0.5, xaxs = "i", 
        yaxs = "i")
    par(mar = c(5, 5, 3, 3) + 0.7)
    dailyaod[, 1] <- dailyaod[, 1]%%365.25
    fooend <- dailyaod[dailyaod[, 1] > 274, ]
    fooend[, 1] <- fooend[, 1] - 365
    foobeg <- dailyaod[dailyaod[, 1] < 91, ]
    foobeg[, 1] <- foobeg[, 1] + 365
    foo <- rbind(foobeg, dailyaod, fooend)
    alpha <- get_alpha.f(foo)
    plot(foo[, 1], alpha, pch = 20, cex = 0.3, xlab = "Day of Year", 
        ylab = "Angstrom Exponent", xlim = c(0, 365), ylim = c(0, 
            2.2), cex.lab = 1.3, cex.axis = 1.15)
    axis(side = 4, cex.axis = 1.15)
    temp <- lowess(foo[, 1], alpha, 1/9)
    lines(temp$x[temp$x > 0 & temp$x < 365], temp$y[temp$x > 
        0 & temp$x < 365], col = 2, lwd = 2)
#   dev.off()
    return()
}

annualboxplot.f <-
function () 
{
 pdf(file = "annualboxplot.pdf", w = 10, h = 7)
    par(tck = 0.01, family = "serif", mex = 0.5, xaxs = "i", 
        yaxs = "i")
    par(mar = c(5, 5, 3, 5) + 0.7)
    foo <- dailyaod
    foo[, 1] <- foo[, 1]%%365.25
    jan <- foo[foo[,1]>=0&foo[,1]<=31,3]
    feb <- foo[foo[,1]>=32&foo[,1]<=60,3]
    mar <- foo[foo[,1]>=61&foo[,1]<=90,3]
    apr <- foo[foo[,1]>=91&foo[,1]<=120,3]
    may <- foo[foo[,1]>=121&foo[,1]<=151,3]
    jun <- foo[foo[,1]>=152&foo[,1]<=181,3]
    jul <- foo[foo[,1]>=152&foo[,1]<=212,3]
    aug <- foo[foo[,1]>=213&foo[,1]<=243,3]
    sep <- foo[foo[,1]>=244&foo[,1]<=273,3]
    oct <- foo[foo[,1]>=274&foo[,1]<=304,3]
    nov <- foo[foo[,1]>=305&foo[,1]<=334,3]
    dec <- foo[foo[,1]>=335&foo[,1]<=366,3]
boxplot(jan,feb,mar,apr,may,jun,jul,aug,sep,oct,nov,dec,ylim = c(0, 0.4), 
        xlab = "Year", ylab = "500-nm AOD", pch = 20, cex = 0.5, cex.lab = 1.3)
axis(side = 1, at = 1:12, labels = c("Jan", "Feb", "Mar", "Apr", 
        "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"), cex.lab = 1.4)
axis(side=4)
dev.off()
return()
}

annualboxplot2.f <-
function () 
{
 pdf(file = "annualboxplot2.pdf", w = 10, h = 7)
    par(tck = 0.01, family = "serif", mex = 0.5, xaxs = "i", 
        yaxs = "i")
    par(mar = c(5, 5, 3, 5) + 0.7)
    foo <- dailyaod
    alpha <- get_alpha.f(foo)
    foo<- cbind(foo,alpha)
    foo[, 1] <- foo[, 1]%%365.25
    jan <- foo[foo[,1]>=0&foo[,1]<=31,8]
    feb <- foo[foo[,1]>=32&foo[,1]<=60,8]
    mar <- foo[foo[,1]>=61&foo[,1]<=90,8]
    apr <- foo[foo[,1]>=91&foo[,1]<=120,8]
    may <- foo[foo[,1]>=121&foo[,1]<=151,8]
    jun <- foo[foo[,1]>=152&foo[,1]<=181,8]
    jul <- foo[foo[,1]>=152&foo[,1]<=212,8]
    aug <- foo[foo[,1]>=213&foo[,1]<=243,8]
    sep <- foo[foo[,1]>=244&foo[,1]<=273,8]
    oct <- foo[foo[,1]>=274&foo[,1]<=304,8]
    nov <- foo[foo[,1]>=305&foo[,1]<=334,8]
    dec <- foo[foo[,1]>=335&foo[,1]<=366,8]
boxplot(jan,feb,mar,apr,may,jun,jul,aug,sep,oct,nov,dec,ylim = c(0, 2.4), 
        xlab = "Year", ylab = "Angstrom Exponent", pch = 20, cex = 0.5, cex.lab = 1.3)
axis(side = 1, at = 1:12, labels = c("Jan", "Feb", "Mar", "Apr", 
        "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"), cex.lab = 1.4)
axis(side=4)
dev.off()
return()
}

annualplot.f <-
function () 
{
#   pdf(file="annualplot.pdf",w = 10, h = 7)
    par(tck = 0.02, family = "serif", mex = 0.5, xaxs = "i", yaxs = "i")
    par(mar=c(5,5,3,3)+.7)
    foo <- dailyaod
    foo[, 1] <- foo[, 1]%%365.25
    fooend <- foo[foo[, 1] > 274, ]
    fooend[, 1] <- fooend[, 1] - 365
    foobeg <- foo[foo[, 1] < 91, ]
    foobeg[, 1] <- foobeg[, 1] + 365
    foo <- rbind(foobeg, foo, fooend)
    plot(foo[, 1], foo[, 3], pch = 20, cex = 0.3, xlab = "Day of Year", 
        ylab = "500-nm AOD", xlim = c(0, 365), ylim = c(0 ,0.25), cex.lab = 1.3, cex.axis = 1.15)
    axis(side = 4, cex.axis = 1.15)
    temp <- lowess(foo[, 1], foo[, 3], 1/9)
#   lines(temp, col = 4, lwd = 2)
    lines(temp$x[temp$x>0&temp$x<365],temp$y[temp$x>0&temp$x<365],col=2,lwd=2)
#   title("13 Years of Daily-averaged AODs")
#   abline(v = c(0, 365), lty = 2)
#   dev.off()
    return()
}

doayeardaily.f <-
function (file) 
{
    dayavg <- NULL
    comm <- paste("ls", file, "> foo")
    system(comm)
    dayfiles <- scan("foo", "")
    for (j in 1:length(dayfiles)) {
        foo <- matrix(scan(paste(file,"/", dayfiles[j], sep = "")), 
            ncol = 7, byr = T)
        dayavg <- rbind(dayavg, apply(foo, 2, mean))
    }
    return(dayavg)
}

